## doris 4.06~beta2+dfsg

=== ENVISAT_TOOLS/Makefile ===
#########################################
### Makefile to compile envisat tools ###
### based on BEST toolbox of ESA      ###
### see source code for info          ###
### i did a quick hack, but am not    ###
### familar with c (but did not want  ###
### to mix it with c++ for such a     ###
### simple program).                  ###
### Bert Kampes, 15-JUN-2003          ###
###                                   ###
### Support for ERS in Envisat Format ###
### Mahmut Arikan, 19-Oct-2010        ###
###                                   ###
#########################################


### Check if you agree with the options below (install_dir OK?)
### then simply type: "make install"
SHELL = 	/bin/sh
CC = 		gcc
#CFLAGS =	-O3
#CFLAGS =        -m32         # for 64-bit systems, it requires compatibility lib32, no need for epr_api v2.2
LFLAGS =	-lm
INSTALL_DIR =	/usr/local/bin



#############################################################
### THERE SHOULD BE NOTHING YOU HAVE TO CHANGE BELOW HERE ###
#############################################################
LIB_SRC = 	epr_api-2.2/src/epr_api.c \
		epr_api-2.2/src/epr_band.c \
		epr_api-2.2/src/epr_bitmask.c \
		epr_api-2.2/src/epr_core.c \
		epr_api-2.2/src/epr_dataset.c \
		epr_api-2.2/src/epr_dddb.c \
		epr_api-2.2/src/epr_dsd.c \
		epr_api-2.2/src/epr_dump.c \
		epr_api-2.2/src/epr_field.c \
		epr_api-2.2/src/epr_msph.c \
		epr_api-2.2/src/epr_param.c \
		epr_api-2.2/src/epr_product.c \
		epr_api-2.2/src/epr_ptrarray.c \
		epr_api-2.2/src/epr_record.c \
		epr_api-2.2/src/epr_string.c \
		epr_api-2.2/src/epr_swap.c \
		epr_api-2.2/src/epr_typconv.c

### targets ###
default: 	envisat_dump_header envisat_dump_data envisat_dump_HH envisat_dump_VV  
### compile envisat_dump_header program (dumps envisat header info to stdout) ###
envisat_dump_header:	BEST
		$(CC) $(CFLAGS) $(LFLAGS) \
		-o envisat_dump_header \
		epr_api-2.2/src/*.o \
		envisat_dump_header.c

### compile envisat_dump_data program (dumps envisat slc short int data to file) ###
envisat_dump_data:	BEST
		$(CC) $(CFLAGS) $(LFLAGS) \
		-o envisat_dump_data \
		epr_api-2.2/src/*.o \
		envisat_dump_data.c

### compile envisat_dump_data program (dumps envisat slc short int data to file) ###
envisat_dump_HH:  BEST
		$(CC) $(CFLAGS) $(LFLAGS) \
    -o envisat_dump_HH \
    epr_api-2.2/src/*.o \
    envisat_dump_HH.c

### compile envisat_dump_data program (dumps envisat slc short int data to file) ###
envisat_dump_VV:  BEST
		$(CC) $(CFLAGS) $(LFLAGS) \
    -o envisat_dump_VV \
    epr_api-2.2/src/*.o \
    envisat_dump_VV.c



### create object code BEST library functions ###
BEST:           $(LIB_SRC)
		(cd epr_api-2.2/src/; make)


### installer ###
PROGS =		envisat_dump_header envisat_dump_data envisat_dump_HH envisat_dump_VV
SCRIPTS =	envisat_dump_header2doris.csh
install:	$(PROGS) $(SCRIPTS)
		@echo "installing envisat tools..."
		cp -f $(PROGS) $(SCRIPTS) $(INSTALL_DIR)/.
		#if test -d /cygdrive/c/cygwin; then \
                #  echo "* cygwin detected"; \
		#  cp -f envisat_dump_header $(INSTALL_DIR)/.; \
		#  cp -f envisat_dump_data $(INSTALL_DIR)/.; \
		#  cp -f envisat_dump_header.exe $(INSTALL_DIR)/.; \
		#  cp -f envisat_dump_data.exe $(INSTALL_DIR)/.; \
		#fi;
		make cleaner;
		@echo " "
		@echo "------------------------------------"
		@echo "FINISHED INSTALLING ENVISAT TOOLS..."
		@echo " executables in: $(INSTALL_DIR)"
		@echo "------------------------------------"
### cleaners ###
uninstall:	cleaner
		@echo "un-installing envisat tools in $(INSTALL_DIR)..."
		(cd $(INSTALL_DIR); rm -f $(PROGS) $(SCRIPTS))
		@echo "now you can rm this directory yourself"
		@echo "for a full uninstall"
		@echo " "
clean:		
		@echo "cleaning envisat tools..."
		(cd epr_api-2.2/src/; make clean)
		rm -f *.o
cleaner:	clean
		rm -f $(PROGS)

### EOF.

=== SARtools/Makefile ===
#################################################################
# Makefile for HP aCC c++ programs SAR tools			#
# should work with other compilers as well			#
# "make [all]"		all exe's				#
# "make prog.o"		compile only prog.o			#
# "make prog"		compile only prog			#
# "make clean"		remove junk caused by makes		#
# "make cleaner"	remove all caused by makes 		#
# "make uninstall"	remove all caused by makes (incl. inst)	#
# "make install"	installs executables in INSTALL_DIR 	#
#                       (or if it's me, in CB_INSTALL	        #
#                       also installs gmt scripts.		#
#                       					#
#%// Bert Kampes 27-Dec-2000					#
### RCS								#
# $Header: /users/kampes/DEVELOP/DORIS/SARtools/RCS/Makefile,   #
# v 3.8 2004/08/06 15:41:24 kampes Exp $			#
#%// TUDelft     16-Apr-2009					#
#################################################################

### The shell we're using ###
SHELL	=	/bin/sh

### Installdirdef should exist!
INSTALL_DIR =	/usr/local/bin

### GCC compiler
CC 	=	g++
CFLAGS  =       -O3 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_LARGEFILE64_SOURCE #-m32 to force 32bit on 64bit platform

### Intel compiler
#CC	=	icpc
#CFLAGS	=	-Wp64 # -fast -O3 -parallel -auto-ilp32 -pc32

##################################################################
### THERE SHOULD BE NOTHING YOU WANT TO CHANGE BELOW THIS LINE ###
##################################################################
### Only for me, this will be ignored...
CB_INSTALL = 	../../executables/64bit

### The programs we want
PROGS	=	wrap \
		bkconvert \
		cpxmult \
		cpxdiv  \
		cpxconj \
		flapjack \
		cpxfiddle \
		floatmult \
		readrasterheader \
		rasterheader \
		dateconv

# usedin install:
SCRIPTS =	
#SCRIPTS =	cpx2ps \
#		philamh2ps

### Compilation
default:	all
all:		$(PROGS) dummy

# dummy, since else makefile want to recompile the last util.
dummy:

# the utilities.
bkconvert:	bkconvert.o
		$(CC) $(CFLAGS) $@.o -o $@
wrap:		wrap.o
		$(CC) $(CFLAGS) $@.o -o $@
cpxmult:	cpxmult.o
		$(CC) $(CFLAGS) $@.o -o $@
cpxdiv: 	cpxdiv.o 
		$(CC) $(CFLAGS) $@.o -o $@
cpxconj:	cpxconj.o
		$(CC) $(CFLAGS) $@.o -o $@
cpxfiddle:	cpxfiddle.o
		$(CC) $(CFLAGS) $@.o -o $@
flapjack:	flapjack.o
		$(CC) $(CFLAGS) $@.o -o $@
floatmult:	floatmult.o
		$(CC) $(CFLAGS) $@.o -o $@
readrasterheader:	readrasterheader.o
		$(CC) $(CFLAGS) $@.o -o $@
rasterheader:	rasterheader.o
		$(CC) $(CFLAGS) $@.o -o $@
dateconv:	dateconv.o
		$(CC) $(CFLAGS) $@.o -o $@


### Install in CB_INSTALL by linking/copying executables ###
install:	$(PROGS)
		dir=$(CB_INSTALL); \
        	if test -d $$dir; then \
		  $(MAKE) cbinstall; else $(MAKE) definstall; fi;

# or use ln instead of cp
#		  ln -sf `pwd`/$$p $(CB_INSTALL)/$$p; \

### Use symbolic links at our system, copy to /usr/local/bin on other.
definstall:	$(PROGS)
		dir=$(INSTALL_DIR); \
        	if test ! -d $$dir; then \
		  echo "Sorry, dir $(INSTALL_DIR) does not exist, exiting..."; exit; fi; \
		echo Installing in directory: $$dir; \
		list='$(PROGS) $(SCRIPTS)'; for p in $$list; do \
		  echo "Installing (copy): $$p"; \
		  cp -f $$p $(INSTALL_DIR)/$$p; \
		done
		$(MAKE) cleaner

### Use symbolic links at our system, copy to /usr/local/bin on other.
cbinstall:
		dir=$(CB_INSTALL); \
        	if test ! -d $$dir; then \
		  echo "Sorry, dir $(CB_INSTALL) does not exist, exiting..."; exit; fi; \
		echo Installing in directory: $$dir; \
		list='$(PROGS) $(SCRIPTS)'; for p in $$list; do \
		  echo "Installing (copy): $$p"; \
		  cp -f $$p $(CB_INSTALL)/$$p; \
		done
		$(MAKE) cleaner

lninstall:
		dir=$(CB_INSTALL); \
        	if test ! -d $$dir; then \
		  echo "Sorry, you are not me, exiting..."; exit; fi; \
		echo Installing in directory: $$dir; \
		list='$(PROGS) $(SCRIPTS)'; for p in $$list; do \
		  echo "Installing (link): $$p"; \
		  cp -f `pwd`/$$p $(CB_INSTALL)/$$p; \
		done
		  #ln -sf `pwd`/$$p $(CB_INSTALL)/$$p; \
		$(MAKE) cleaner

### Helpers ###
clean:	
		@rm -f *.o *dummy* *.bak
		@echo "* Removed junk."
### some reason under cygwin progs are not removed without ".exe"???
CYGWIN_EXE = 	$(PROGS:=.exe)
cleaner:	clean
		@rm -f $(PROGS) $(CYGWIN_EXE) a.out
		@echo "* Removed executables in source dir:  `pwd`."
uninstall:	cleaner
		dir=$(CB_INSTALL); \
        	if test -d $$dir; then \
		  cd $(CB_INSTALL); rm -f $(PROGS); \
		  echo "* Removed executables in install dir: $(CB_INSTALL)."; fi;
		dir=$(INSTALL_DIR); \
        	if test -d $$dir; then \
		  cd $(INSTALL_DIR); rm -f $(PROGS) $(CYGWIN_EXE); \
		  echo "* Removed executables in install dir: $(INSTALL_DIR)."; fi;

### How to make object files ###
.cc.o:		
	$(CC) $(CFLAGS) -c -o $(@) $<

### EOF.

=== editor_support/Makefile ===
#########################################################################
# Makefile for the Doris syntax hilighting using vim.			#
# 22-Mar-2010                                                           #
#                                                                       #
# Delft University of Technology                                        #
# Delft Institute of Earth Observation and Space Systems                #
# http://enterprise.lr.tudelft.nl/doris/				#
# See also the user manual, annex installation.				#
#									#
# Version 1.0 - Mahmut Arikan   					#
#									#
#########################################################################
###################################################################
# Please change if required: 					###
###################################################################
### The shell used by this makefile ###
SHELL   = /bin/sh

### Specify compiler/installation directory ###
SCRIPTSDIR = vim/syntax
INSTALLDIR = ~/.vim/syntax

### Define statements controlling compilation ###
SYNTAX	   = 	doris.vim


#####################################################
### No need to change anything below here... ####
#####################################################
default:	vim

vim:		install

### Install executable in installdir ###
install:	$(SCRIPTSDIR)/$(SYNTAX)
		@echo "* Installing $(SYNTAX) in: $(INSTALLDIR)"
		@mkdir -p $(INSTALLDIR)
		@( cd $(SCRIPTSDIR) 1>/dev/null ;  cp -f $(SYNTAX) $(INSTALLDIR)/. )
		@echo " "
		@echo "*******************************"
		@echo "* ...Installation finished... *"
		@echo "*******************************"
		@echo " "
		@echo "* Check that you have enabled syntax hilighting in .vimrc by adding: "
		@echo "*  syntax on"
		@echo "* "
		@echo "* Type :set syntax=doris to check whether it is working or not. "
		@echo "* "
		@echo " "


#####################################################
### Cleaners ###
uninstall:	
		@rm -f $(INSTALLDIR)/$(SYNTAX)
		@echo "* Removed syntax definition $(SYNTAX) from dir: $(INSTALLDIR)."

### TUDelft 22-03-2010 ###

=== debian/changelog ===
doris (4.06~beta2+dfsg-3) unstable; urgency=low

  * All patches have been refreshed using gbp-pq
  * New patch (0005-compatibility-with-gcc-4.8.x.patch) for fixing
    compatibility issues with gcc-4.8.x
  * Standard version bumped to 3.9.5 (no change)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 09 Mar 2014 20:08:25 +0000

doris (4.06~beta2+dfsg-2) unstable; urgency=low

  * Use canonical URLs in VSC fields 
  * The watch file has been updated
  * Fixed missing call do dh_python2 in debian/rules (also added build
    dependency from python-all)
  * Fixed copyright format URL 
  * Fix unnecessarily versioned dependencies 

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Jun 2013 18:36:35 +0000

doris (4.06~beta2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #696520)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 19 Dec 2012 19:29:21 +0100

=== debian/control ===
Source: doris
Section: contrib/science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper (>= 9.0.0), csh | c-shell, libfftw3-dev,
               liblapack-dev, libtriangle-dev, libepr-api2-dev,
               python-all
Standards-Version: 3.9.5
Homepage: http://doris.tudelft.nl
Vcs-Git: git://anonscm.debian.org/pkg-grass/doris.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/doris.git

Package: doris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python, python-lxml, libxslt1.1,
         gdal-bin, gawk | mawk, csh | c-shell
Recommends: snaphu, gmt, gv, python-h5py
Suggests: eog, imagemagick
Description: Delft object-oriented radar interferometric software
 DORIS is an Interferometric Synthetic Aperture Radar (InSAR) processor
 developed by the Delft Institute of Earth Observation and Space Systems
 of Delft University of Technology.
 .
 Interferometric products and endproducts such as Digital Elevation
 Models and displacement maps can be generated with this software from
 Single Look Complex data.
 Data from the satellites ERS, ENVISAT (first ENVISAT interferogram,
 DEM, and perspective view, JERS (first JERS interferogram), and
 RADARSAT (first RADARSAT interferogram) can be processed with the
 Doris software.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# @NOTE: tools directly called by doris are:
#           helpdoris
#           plotcpm
#           plotoffsets
#           cpxfiddle
#           envisat_dump_data
#           envisat_dump_header
#           envisat_dump_header2doris.csh
#           tsx_dump_data.py
#           tsx_dump_header2doris.py
#           csk_dump_data.py
#           csk_dump_header2doris.py
#           rs2_dump_data.py
#           rs2_dump_header2doris.py

CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
COMMON_FLAGS = -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
EXTRA_FLAGS = -Wno-deprecated -D__USE_FFTW_LIBRARY__ -D__USE_LAPACK_LIBRARY__ -D__X86PROCESSOR__

DH_OPTIONS=--sourcedirectory=src

%:
	dh $@

override_dh_auto_configure:
	rm -f src/Makefile
	src/configure < /dev/null
	mv Makefile src

override_dh_auto_build:
	dh_auto_build --sourcedirectory=SARtools -- CFLAGS="$(CXXFLAGS) $(COMMON_FLAGS)"
	dh_auto_build --sourcedirectory=ENVISAT_TOOLS -- CFLAGS="$(CFLAGS) $(COMMON_FLAGS)"
	dh_auto_build --sourcedirectory=src -- CFLAGS="$(CXXFLAGS) $(COMMON_FLAGS) $(EXTRA_FLAGS)"

override_dh_auto_install:
	install -D --mode=0755 debian/doris.sh debian/doris/usr/bin/doris

	dh_auto_install --sourcedirectory=SARtools -- INSTALL_DIR=../debian/doris/usr/lib/doris
	install -D --mode=0644 SARtools/README \
		debian/doris/usr/share/doc/doris/README_SARtools.txt

	dh_auto_install --sourcedirectory=ENVISAT_TOOLS -- INSTALL_DIR=../debian/doris/usr/lib/doris
	rm -f debian/doris/usr/lib/doris/*.csh
	install -D --mode=0755 ENVISAT_TOOLS/envisat_dump_header2doris.csh \
		debian/doris/usr/share/doris/bin/envisat_dump_header2doris.csh
	install -D --mode=0644 ENVISAT_TOOLS/README \
		debian/doris/usr/share/doc/doris/README_ENVISAT_TOOLS.txt

	#dh_auto_install --sourcedirectory=src -- INSTALLDIR=../debian/doris/usr/lib/doris
	install -D --mode=0755 src/doris debian/doris/usr/lib/doris
	cp -R bin debian/doris/usr/share/doris
	chmod 0755 debian/doris/usr/share/doris/*
	rm -f debian/doris/usr/share/doris/bin/README*
	install -D --mode=0644 bin/README \
		debian/doris/usr/share/doc/doris/README_bin.txt
	install -D --mode=0644 bin/README_CSK.txt \
		debian/doris/usr/share/doc/doris/README_CSK.txt

	cp -R editor_support debian/doris/usr/share/doris
	chmod 0644 debian/doris/usr/share/doris/editor_support/README

	install -D --mode=0644 debian/overrides debian/doris/usr/share/lintian/overrides/doris
	
	dh_python2

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C SARtools cleaner
	#$(MAKE) -C ENVISAT_TOOLS cleaner
	rm -f ENVISAT_TOOLS/*.o ENVISAT_TOOLS/envisat_dump_header \
	      ENVISAT_TOOLS/envisat_dump_data ENVISAT_TOOLS/envisat_dump_HH \
	      ENVISAT_TOOLS/envisat_dump_VV
	rm -f ENVISAT_TOOLS/envisat_dump_header
	rm -f ENVISAT_TOOLS/envisat_dump_data
	if [ -f src/Makefile ]; then \
		$(MAKE) -C src cleaner;\
		rm -f src/Makefile;\
	fi

# Grab the version before +dfsg
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
get-orig-source:
	uscan --force-download --download-current-version --no-symlink --destdir=.
	rm -rf doris_v$(DEB_UPSTREAM_VERSION).orig
	tar xfz doris_v$(UPSTREAM_VERSION).tar.gz
	mv `find . -type d -name 'doris_v*'` doris_v$(UPSTREAM_VERSION).orig
	rm -rf \$(find doris_v$(UPSTREAM_VERSION).orig -d -name '.viminfo')
	rm -f doris_v$(UPSTREAM_VERSION).orig/src/triangle.*
	rm -f doris_v$(UPSTREAM_VERSION).orig/src/Makefile
	rm -rf doris_v$(UPSTREAM_VERSION).orig/ENVISAT_TOOLS/epr_api-?.?
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                    -f doris_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \
                    doris_v$(UPSTREAM_VERSION).orig
	rm -r doris_v$(UPSTREAM_VERSION).orig

.PHONY: get-orig-source override_dh_auto_configure override_dh_auto_build \
        override_dh_auto_install override_dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,uversionmangle=s/(\d)[\.\+\-_]?(beta|alpha|dev)/$1~$2/ \
http://doris.tudelft.nl/Doris_download.html \
(?:.*/|.*=|)doris(?:-v|-|\.|_|_v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
# Bart Martens <bartm@debian.org>  Sat, 04 May 2013 09:11:42 +0000

## doris 5.0.3~beta%2Bdfsg

=== doris_core/Makefile ===
#########################################################################
# Makefile for the Doris software.					#
# Created by: configure						#
# 04-Dec-1998                                                           #
#                                                                       #
# Delft University of Technology                                        #
# Delft Institute of Earth Observation and Space Systems                #
# http://doris.tudelft.nl               				#
# See also the user manual, annex installation.				#
#									#
### Usage ### 								#
# The command: "make" creates and optimized version of doris.		#
# The command: "make install" installs it andcleans up.			#
# If this does not work, try a more controlled approach by:		#
#									#
# 0. inspect set up of this Makefile					#
# 1. set CC DEFS LIBS etc., first set these to debug values		#
#    (read NOTE there if problems)					#
# 2. compile software sources to *.o:     "make swobjs"			#
# 3. link object together to executable:  "make doris"			#
# 4. install executable:                  "make install"		#
# 5. remove object files:                 "make clean"			#
#									#
# BTW. "make" does "swobjs doris" by default.				#
#									#
###        								#
# Successfully tested for compilers/platforms:				#
#  GNU g++ version 2.7.2.2 on HP-UX B.10.20 A 9000/785			#
#  GNU g++ version 2.95.2  on HP-UX B.10.20 A 9000/785			#
#  HP  aCC version A.01.07 on HP-UX B.10.20 A 9000/785			#
#  GNU g++ version ?       on Linux X86					#
#  SGI ?								#
#  Sun Studion 9,10,11     on Solaris Sparc and X86/AMD64		#
#  GNU g++ versions v3.4, v4.0, v4.1, v4.2, v4.3 on Linux X86 and AMD64 # 
#  Sun Sudion v11          on Linux AMD64				#
#  Intel Compilers v9, v10, v11 on Linux AMD64				#
#########################################################################
###################################################################
###################################################################
# Please change if required: DEF[1-6], CC, CFLAGS, LIBDIR,      ###
###################################################################
### The shell used by this makefile ###
SHELL   = /bin/sh

### Specify compiler/installation directory ###
INSTALLDIR = /data/src/Doris_s1_git/bin
CC	   = g++
SCRIPTSDIR = ../bin

### Define statements controlling compilation ###
# Comment out DEF[1-8] statements when appropriate.
DEF1    = -D__DEBUGMAT1	# 		-1- range checking in matrix class
DEF2    = -D__DEBUGMAT2	# 		-2- info matrix class (debug only)
DEF3    = -D__DEBUG #			-3- debug for other files
DEF4    = -Wno-deprecated            #  -4- do not display warnings due to depricated entries 
DEF5    = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE #  -5- support for large files
#DEF6    = -DNO_FASTTRIG              #  -6-  extra functional switches
#DEF9     = -D__NO_IOS_BINARY__ # -9- comment out if you ios::binary (most will)
#
### Do not change following 2, simply comment DEF1-8 above
DEFSDEBUG 	= $(DEF1) $(DEF2) $(DEF3)
DEFS		= $(DEF4) $(DEF5) $(DEF6)   -D__USE_FFTW_LIBRARY__ -D__X86PROCESSOR__   -I/usr/include

### NOTE ###
# If you get warnings like the following (I got them with g++, not with aCC)
# then use define __GNUC__ to define these functions
#%// BK 15-Aug-2000
#In file included from matrixbk.h:38,
#		 from processor.cc:23:
#constants.h: In method `real8 cn::dist(cn) const':
#constants.h:106: implicit declaration of function `int sqr(...)'
### END NOTE ###


# LOCAL dir
LOCAL_INSTALLDIR = ../bin

### CFLAGS ###
# Compiler options flag ###
# Specify compiler flags (I selected these for g++)
CFLAGSDEBUG 	= -g -O $(DEFS) $(DEFSDEBUG)
CFLAGSOPT 	= -O $(DEFS)
#CFLAGSOPT 	= -O2 $(DEFS)   # this crashed doris! (?)
#CFLAGSOPT 	= -O3 $(DEFS)   # this crashed doris! (?)

### CCNOTE ###
### Change here ###
### set CFLAGS depending on if you compile debug version or working version ###
#CFLAGS 	= $(CFLAGSDEBUG)
CFLAGS 	= $(CFLAGSOPT)
### END CCNOTE ###

### Library locations flag ###
### -lcl : used for veclib 
### -lm  : used for fftw
LFLAGS  =   -L/lib64 -lfftw3f -lm


#####################################################
### No need to change anything below here... ####
#####################################################
EXECUTABLE = 	doris

SWSRCS	=	processor.cc \
		utilities.cc \
		ioroutines.cc \
		readinput.cc \
		readdata.cc \
		coregistration.cc \
		filtering.cc \
		referencephase.cc \
		products.cc \
		geocode.cc \
		unwrap.cc \
		matrixspecs.cc \
		exceptions.cc \
		estorbit.cc
SWOBJS	=	$(SWSRCS:.cc=.o)

### scripts of doris.tar in SCRIPTSDIR, used at make install
SCRIPTS	=	helpdoris \
		baseline.doris.sh \
		baseline.doris.csh \
                construct_dem.sh \
		coregpm.doris \
		doris* \
		heightamb \
		phasefilt.doris \
		plotcpm* \
		plotoffsets* \
		run \
		viewanddel \
		cpx2ps \
		lonlathei2ascii \
		ascii2ascii_UTM \
		ascii2ps* \
                tsx* \
                rs2* \
                csk* \
                gammaReadfiles.csh \
                hhmmss2sec.py \
                sec2hhmmss.py




#####################################################
### And no need to change anything below here... ####
#####################################################
### what to do if make w/o arguments ###
# first make all object files, then link them together
default:        $(EXECUTABLE)


### how to compile object code .o from C++ source files .cc (general rule) ###
# space between -o and filename for SUN make (BK 7 july 2000)
.cc.o:		
		$(CC) $(CFLAGS) -c -o $(@) $<

#####################################################
### Make object code from source ###
swobjs:		$(SWOBJS)


### Load objects to executable ###
### The added .cc files contain class definitions
### matrixclass is explicitly included
### in the source code since we had some problems finding out how to do that
### here, since compilers treat the template class differently than normal classes.
### BK 07-Feb-2002
$(EXECUTABLE):	$(SWOBJS) tmp_strptime.cc slcimage.cc productinfo.cc orbitbk.cc
		$(CC) $(CFLAGS) -c -o triangle.o -DTRILIBRARY -DANSI_DECLARATORS triangle.c
		$(CC) $(CFLAGS)\
		tmp_strptime.cc $(SWOBJS) triangle.o\
		slcimage.cc productinfo.cc orbitbk.cc\
		$(LFLAGS) -o $@
		@echo " "
		@echo "*******************************"
		@echo "* ...Compilation finished...  *"
		@echo "*******************************"
		@echo " "


### Install executable in installdir ###
install:	$(EXECUTABLE)
		@echo "* Installing $(EXECUTABLE) in: $(INSTALLDIR)"
		@cp -f $(EXECUTABLE) $(INSTALLDIR)/.
		( cd $(SCRIPTSDIR); cp -f $(SCRIPTS) $(INSTALLDIR)/. )
		$(MAKE) cleaner
		@echo " "
		@echo "*******************************"
		@echo "* ...Installation finished... *"
		@echo "*******************************"
		@echo " "
		@echo "* Check that $(INSTALLDIR) is in your path search: echo \$$PATH ."
		@echo " "


installcb:	$(EXECUTABLE)
		@echo "* Installing $(EXECUTABLE) in: $(LOCAL_INSTALLDIR)"
		@cp -f $(EXECUTABLE) $(LOCAL_INSTALLDIR)/.
		$(MAKE) cleaner
		@echo " "
		@echo "*******************************"
		@echo "* ...Installation finished... *"
		@echo "*******************************"
		@echo " "
		@echo "* Check that $(LOCAL_INSTALLDIR) is in your path search: echo \$$PATH ."
		@echo " "


#####################################################
### Testers ###
test:		testdoris
testdoris:	$(EXECUTABLE)
		@echo " "
		@echo "* Executing command: $(EXECUTABLE) -v"
		$(EXECUTABLE) -v
		@echo " "

### Orbit test program for debugging ###
test-orbit:	ioroutines.o matrixspecs.o utilities.o exceptions.cc slcimage.cc orbitbk.cc matrixbk.cc bk_messages.hh
		$(CC) $(CFLAGS) -D__TESTMAIN__ \
		ioroutines.o matrixspecs.o utilities.o exceptions.cc slcimage.cc orbitbk.cc \
		$(LFLAGS) \
		-o $@
### Matrix test program for debugging ###
### fast_sin defined in utilities.cc, which requires ioroutines, which, etc.
test-matrix:  matrix_test.cc matrixspecs.o utilities.o utilities.o ioroutines.o matrixbk.cc
		$(CC) $(CFLAGS) matrix_test.cc matrixspecs.o \
		utilities.o ioroutines.o exceptions.cc orbitbk.cc \
		$(LFLAGS) \
		-o $@
		@echo " "


#####################################################
### Cleaners ###
clean:		cleanswobjs 

cleaner:	clean cleanprog
cleanest:	clean cleanprog uninstall
cleanprog:
		@rm -f $(EXECUTABLE) $(EXECUTABLE.debug) \
		matrixbk_test testorbit
		@echo "* Removed executables in current dir."
cleanswobjs:
		@rm -f $(SWOBJS) matrixbk_test.o orbitbk.o slcimage.o triangle.o
		@echo "* Removed object files."
uninstall:	
		@rm -f $(INSTALLDIR)/$(EXECUTABLE)
		@echo "* Removed executables in install dir: $(INSTALLDIR)."

### BK 12-Dec-2000 ###

=== debian/changelog ===
doris (5.0.3~beta+dfsg-19) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.3, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Drop Priority: optional, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * Update dates in d/copyright.
  * Use secure URI in Homepage field.
  * debian/control:
    - Drop unnecessary Break/Replaces headers.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jan 2026 17:37:12 +0000

doris (5.0.3~beta+dfsg-18) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * Update dates in d/copyright.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jan 2025 05:29:21 +0100

doris (5.0.3~beta+dfsg-17) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Enable numpy3 dh helper.
  * Update lintian overrides.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * debian/control:
    - Move common package description to source.
  * debian/rules:
    - Cleanup.
  * New d/clean file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 12:08:24 +0000

doris (5.0.3~beta+dfsg-16) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Drop undefined substitution variables.
  * Update watch file to use tags instead of releases.

  [ Antonio Valentino ]
  * debian/rules:
    - new 0013-Fix-tempaletes-declaration.patch
    - new 0014-Fix-shebang-string-in-helpdoris.patch
  * Update d/lintian-overrides.
  * Update d/copyright.
  * d/lintian-overrides renamed into d/doris.lintian-overrides.
  * debian/doris.lintian-overrides:
    - add override for executable-in-usr-lib.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Dec 2021 18:21:19 +0000

doris (5.0.3~beta+dfsg-15) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * Depend on non-dummpy h5py packages.
  * debian/patches:
    - update 0002-configure.patch for lapack library search path
    - improve 0003-tools-build.patch and 0008-python3.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Sep 2021 10:58:28 +0000

doris (5.0.3~beta+dfsg-14) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.0, no changes.

  [ Antonio Valentino ]
  * debian/control:
    - explicitly set Rules-Requires-Root: no
  * debian/patches:
    - add Forwarded field to all patches
  * Update lintian overrides

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Oct 2020 08:13:08 +0000

doris (5.0.3~beta+dfsg-13) unstable; urgency=medium

  * Team upload.
  * Drop python2-minimal build dependency.
    (closes: #936438)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Aug 2019 09:52:51 +0200

doris (5.0.3~beta+dfsg-12) unstable; urgency=medium

  * debian/test/control:
    - mark test as superficial using Restrictions
  * debian/patches:
    - new 0012-fix-default-params-in-friend-functions.patch
      (compatibiloty with gcc-9)
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Aug 2019 07:31:50 +0000

doris (5.0.3~beta+dfsg-11) unstable; urgency=medium

  * debian/control:
    - add Replaces/Breaks to python3-doris for version << 5.0.3~beta+dfsg-10
      (Closes: #934605)
    - now doris Recommends python3-doris
    - now python3-doris Depends on doris
    - dorp gv and gmt from the list of recommended packages of python3-doris
  * debian/patches:
    - new 0010-Use-sys.executable.patch and 0011-Fix-doris_config.xml-path.patch
  * Install doris_config.xml.
  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 12 Aug 2019 16:55:09 +0000

doris (5.0.3~beta+dfsg-10) experimental; urgency=medium

  * Set compat to 12.
  * Use debhelper-compat instead of debian/compat.
  * debian/rules:
    - use pybuild where appropriate
  * debian/patches:
    - improve and rename python3.patch
    - new 0009-Python-doris-package.patch
  * New python3-doris package containing helper modules written in Python.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 06 Aug 2019 13:17:57 +0000

doris (5.0.3~beta+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Add patch to fix Python 3 support.
  * Redirect STDERR correctly in tests control.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jul 2019 10:42:09 +0200

doris (5.0.3~beta+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Remove package name from lintian overrides.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Switch to Python 3.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 16:22:23 +0200

doris (5.0.3~beta+dfsg-7) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.
  * Update watch file to limit matches to archive path.

  [ Antonio Valentino ]
  * Fix spelling error in cpxfiddle (updated spelling patch).
  * Add basic autopkgtest script.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Feb 2019 15:14:41 +0000

doris (5.0.3~beta+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Drop ancient X-Python-version field.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 13:46:13 +0200

doris (5.0.3~beta+dfsg-5) unstable; urgency=medium

  [ Bas Couwenberg ]
